Subject: [manet] WGLC comments on draft-ietf-manet-dlep-traffic-classification

From: "Velt, R. (Ronald) in 't" <[email-masked]>
Date: Thu, 15 Jul 2021 16:54:04 +0000

Hi Authors, MANET WG participants,

Please find below my long overdue comments on draft-ietf-manet-dlep-traffic-classification, one of three documents related to credit-based flow control that have been in WGLC for a long time. (With chair wig off).

Thanks,
Ronald

--

Major Issues
============

None

Minor Issues
============

Section 1, Introduction, contains the somewhat puzzling sentence "Specifically it enables traffic sent by a router to use traffic flow classification information provided by the modem to identify which traffic flows." It seems to me that it is the router, as opposed to the traffic, that uses the classification information to identify flows. The traffic cannot identify itself. Suggest to rephrase and clarify.

It is unclear to me what is meant by "The list of flows contained in the Data Item can be used per sender or shared across multiple senders." in section 2, Traffic Classification.

Do Traffic Classification Sub-Data Items within a given Traffic Classification Data Item (as specified in section 2.1) all need to be of the same type (i.e., all DiffServ or all PCP) or is "mix and match" allowed? If the former, I would suggest stating this explicitly.

Nits
====

Throughout the document: Replace "sub data item" and "Sub Data Item" by "Sub-Data Item", thus following the precedent set by RFC8651. (I would personally have preferred "Data Sub-item" or even "Data Item Sub-item").

Abstract

"It's use will be mandated  ..." => "Its use will be mandated  ..."

Section 1

1st para: "Credit windows may be shared or dedicated on a per flow basis." Credit windows appear out of the blue here, possibly due to a copy-paste error. Suggest deletion of this sentence.

1st para: "The Data Item is structured to allow for reuse of the defined traffic classification information ..." => "The Data Item is structured to allow for use of the defined traffic classification information ..." (no other specific use has been mentioned yet)

1st para: "... with applications such as credit window control, such as found in [I-D.ietf-manet-dlep-da-credit-extension]" => "... with applications such as credit window control as specified in [I-D.ietf-manet-dlep-da-credit-extension]" (just a style suggestion)

2nd para: "... and when combined with applications such as credit window control, allows credit windows to be shared across traffic sent to multiple DLEP destinations and flows, or used exclusively for traffic sent to a particular destination and/or flow." => "... and when combined with applications such as credit window control, allows credit windows to be shared across traffic sent to multiple DLEP destinations and as part of multiple flows, or used exclusively for traffic sent to a particular destination and/or belonging to a particular flow." (Traffic is not sent TO flows)

2nd para: Replace [I-D.ietf-manet-dlep-pause-extension] by [RFC8651]

Section 2

last sentence: "The scope of TID and FID values is a modem." => "TID and FID values have modem-local scope."

Section 2.3

Definition of Length field: "... it is equal to four (4) plus the number of octets needed to carry the carried Priority fields is indicated by the NumPCPs field." => "... it is equal to four (4) plus the number of octets needed to accommodate the number of Priority fields indicated by the NumPCPs field."

Definition of Pad field: "... and MIST be ignored on receipt." => "... and MUST be ignored on receipt."

Section 6.2

Replace informative reference I-D.ietf-manet-dlep-pause-extension by RFC8651
This message may contain information that is not intended for you. If you are not the addressee or if this message was sent to you by mistake, you are requested to inform the sender and delete the message. TNO accepts no liability for the content of this e-mail, for the manner in which you use it and for damage of any kind resulting from the risks inherent to the electronic transmission of messages.

---

From: Lou Berger <[email-masked]>
Date: Thu, 29 Jul 2021 18:43:28 -0400

[resend with full distro]

Hi Ronald,

see in line below.

On 7/15/2021 12:54 PM, Velt, R. (Ronald) in 't wrote:

> Please find below my long overdue comments on
> draft-ietf-manet-dlep-traffic-classification, one of three documents
> related to credit-based flow control that have been in WGLC for a long
> time. (With chair wig off).
>
> Thanks,
>
> Ronald
>
> --
>
> Major Issues
>
> ============
>
> None
>
> Minor Issues
>
> ============
>
> Section 1, Introduction, contains the somewhat puzzling sentence
> "Specifically it enables traffic sent by a router to use traffic flow
> classification information provided by the modem to identify which
> traffic flows." It seems to me that it is the router, as opposed to
> the traffic, that uses the classification information to identify
> flows. The traffic cannot identify itself. Suggest to rephrase and
> clarify.
>
how about:

Specifically it enables a router to use traffic flow classification
information provided by the modem to identify traffic flows.

> It is unclear to me what is meant by "The list of flows contained in
> the Data Item can be used per sender or shared across multiple
> senders." in section 2, Traffic Classification.
>
I think this sentence can be dropped.

> Do Traffic Classification Sub-Data Items within a given Traffic
> Classification Data Item (as specified in section 2.1) all need to be
> of the same type (i.e., all DiffServ or all PCP) or is "mix and match"
> allowed? If the former, I would suggest stating this explicitly.
>
This is based on the extension.  I'll add a sentence on this:

Note that when extensions supporting multiple sub Data Items are
negotiated, these types MAY be combined in a single Data Item.

> Nits
>
> ====
>
> Throughout the document: Replace "sub data item" and "Sub Data Item"
> by "Sub-Data Item", thus following the precedent set by RFC8651. (I
> would personally have preferred "Data Sub-item" or even "Data Item
> Sub-item").
>
>   <
>
sure

> "It's use will be mandated  ..." => "Its use will be mandated  ..."
ack

> Section 1
>
> 1st para: "Credit windows may be shared or dedicated on a per flow
> basis." Credit windows appear out of the blue here, possibly due to a
> copy-paste error. Suggest deletion of this sentence.
>
yes!!!!

> 1st para: "The Data Item is structured to allow for reuse of the
> defined traffic classification information ..." => "The Data Item is
> structured to allow for use of the defined traffic classification
> information ..." (no other specific use has been mentioned yet)
>
agreed

> 1st para: "... with applications such as credit window control, such
> as found in [I-D.ietf-manet-dlep-da-credit-extension]" => "... with
> applications such as credit window control as specified in
> [I-D.ietf-manet-dlep-da-credit-extension]" (just a style suggestion)
>
sure

> 2nd para:
>
> "... and when combined with applications such as credit window
> control, allows credit windows to be shared across traffic sent to
> multiple DLEP destinations and flows, or used exclusively for traffic
> sent to a particular destination and/or flow." =>
>
> "... and when combined with applications such as credit window
> control, allows credit windows to be shared across traffic sent to
> multiple DLEP destinations and as part of multiple flows, or used
> exclusively for traffic sent to a particular destination and/or
> belonging to a particular flow." (Traffic is not sent TO flows)
>
good change, but you're killing me with visual diff here!

> 2nd para: Replace [I-D.ietf-manet-dlep-pause-extension] by [RFC8651]
thanks

> and FID values have modem-local scope."
sure

> Section 2.3
>
> Definition of Length field:
>
> "... it is equal to four (4) plus the number of octets needed to carry
> the carried Priority fields is indicated by the NumPCPs field." =>
>
> "... it is equal to four (4) plus the number of octets needed to
> accommodate the number of Priority fields indicated by the NumPCPs field."
>
sure

> and MUST be ignored on receipt."
thanks

> Replace informative reference I-D.ietf-manet-dlep-pause-extension by
Thank you for another great review.  Upload will be done shortly.

Lou

PS sorry for missing you on the Acks in the previous review -- I'll
correct that in the next rev!

> This message may contain information that is not intended for you. If
> you are not the addressee or if this message was sent to you by
> mistake, you are requested to inform the sender and delete the
> message. TNO accepts no liability for the content of this e-mail, for
> the manner in which you use it and for damage of any kind resulting
> from the risks inherent to the electronic transmission of messages.
>